# Changelog

## 2025-05-19 - 4.0.2 - fix(tests)
Update dev dependencies and refactor test assertions for improved clarity

- Bumped @git.zone/tsbuild version to ^2.5.1
- Bumped @git.zone/tstest version to ^1.9.0
- Updated npm test script to include the verbose flag
- Replaced expectAsync assertions with resolves based assertions in test files

## 2025-05-03 - 4.0.1 - fix(formatting)
Fix minor formatting issues and newline consistency across project files

- Ensure newline at end of package.json, errors.ts, logging.ts, and test files
- Refine code block formatting in readme.md
- Adjust whitespace and code style in smartnetwork classes and cloudflarespeed module
- Minor commitinfo data format update

## 2025-04-28 - 4.0.0 - BREAKING CHANGE(smartnetwork)
Enhance documentation and add configurable speed test options with plugin architecture improvements

- Expanded README with detailed examples for traceroute, speed test, ping, and remote port checks
- Added optional parameters for getSpeed (parallelStreams and duration) to allow configurable testing modes
- Included plugin architecture usage examples to show runtime registration and unregistration of plugins
- Updated test suite to cover DNS resolution, endpoint health-check, caching behavior, and various network diagnostics
- Removed legacy planning documentation from readme.plan.md

## 2025-04-28 - 3.0.5 - fix(core)
Improve logging and error handling by introducing custom error classes and a global logging interface while refactoring network diagnostics methods.

- Added custom error classes (NetworkError, TimeoutError) for network operations.
- Introduced a global logging interface to replace direct console logging.
- Updated CloudflareSpeed and SmartNetwork classes to use getLogger for improved error reporting.
- Disabled connection pooling in HTTP requests to prevent listener accumulation.

## 2025-04-28 - 3.0.4 - fix(ci/config)
Improve CI workflows, update project configuration, and clean up code formatting

- Added new Gitea workflow files (default_nottags.yaml and default_tags.yaml) to replace GitLab CI
- Updated package.json with new buildDocs script, revised homepage URL, bug tracking info, and pnpm overrides
- Refined code formatting in TypeScript files, including improved error handling in Cloudflare speed tests and consistent callback structure
- Enhanced tsconfig.json by adding baseUrl and paths for better module resolution
- Introduced readme.plan.md outlining future improvements and feature enhancements

## 2025-04-28 - 3.0.3 - fix(deps)
Update dependency namespaces and bump package versions in CI configuration and source imports

- Renamed dependency imports from '@pushrocks/...' to '@push.rocks/...' in package.json, test files, and source files
- Updated devDependencies versions and package references (e.g., tsbuild, tsrun, tstest, smartenv, tapbundle, smartpromise, smartstring, public-ip, and @types packages)
- Fixed CI command to install '@git.zone/tsdoc' instead of the misspelled '@gitzone/tsdoc'
- Updated commit info file to reflect the correct package namespace

## 2024-05-29 - 3.0.2 - misc
Various documentation, configuration, and organizational updates.
- Updated project description.
- Updated tsconfig configuration.
- Updated npmextra.json (githost configuration) across multiple commits.
- Switched to a new organizational scheme.

## 2022-10-22 - 3.0.1 - core
Core fixes and maintenance applied.
- Fixed core issues.

## 2022-10-21 - 3.0.0 - core
Core updates and fixes.
- Fixed core issues.

## 2022-03-24 - 2.0.14 - core
Breaking changes introduced.
- BREAKING CHANGE: Switched core to an ECMAScript Modules (ESM) approach.

## 2022-02-16 - 2.0.13 - core
Core maintenance update.
- Fixed core issues.

## 2022-02-16 - 2.0.12 - core
Core maintenance update.
- Fixed core issues.

## 2022-02-16 - 2.0.11 - core
Core maintenance update.
- Fixed core issues.

## 2022-02-16 - 2.0.10 - core
Core maintenance update.
- Fixed core issues.

## 2021-04-29 - 2.0.9 - core
Core maintenance update.
- Fixed core issues.

## 2021-04-28 - 2.0.8 - core
Core maintenance update.
- Fixed core issues.

## 2021-04-28 - 2.0.7 - core
Core maintenance update.
- Fixed core issues.

## 2021-04-28 - 2.0.6 - core
Core maintenance update.
- Fixed core issues.

## 2021-04-28 - 2.0.5 - core
Core maintenance update.
- Fixed core issues.

## 2021-04-27 - 2.0.4 - core
Core maintenance update.
- Fixed core issues.

## 2021-04-13 - 2.0.3 - core
Core maintenance update.
- Fixed core issues.

## 2021-04-13 - 2.0.2 - core
Core maintenance update.
- Fixed core issues.

## 2021-04-13 - 2.0.1 - core
Core maintenance update.
- Fixed core issues.

## 2021-04-13 - 2.0.0 - core
Core maintenance update.
- Fixed core issues.

## 2021-04-13 - 1.1.22 - core
Breaking update in core functionality.
- BREAKING CHANGE: Updated core functionality.

## 2020-08-13 - 1.1.21 - core
Core maintenance update.
- Fixed core issues.

## 2020-08-13 - 1.1.20 - core
Core maintenance update.
- Fixed core issues.

## 2020-08-12 - 1.1.19 - core
Core maintenance update.
- Fixed core issues.

## 2020-08-12 - 1.1.18 - core
Core maintenance update.
- Fixed core issues.

## 2019-11-23 - 1.1.17 - minor
Release with no notable changes.
- No significant changes.

## 2019-11-23 - 1.1.16 - core
Core maintenance update.
- Fixed core issues.

## 2019-11-19 - 1.1.15 - security
Security enhancement.
- Added Snyk configuration for improved security.

## 2019-11-19 - 1.1.14 - dependencies
Dependency update.
- Updated dependencies.

## 2019-09-08 - 1.1.13 - core
Core maintenance update.
- Fixed core issues.

## 2019-09-08 - 1.1.12 - core
Core maintenance update.
- Fixed core issues.

## 2019-09-08 - 1.1.11 - core
Core maintenance update.
- Fixed core issues.

## 2019-09-08 - 1.1.10 - core
Core maintenance update.
- Fixed core issues.

## 2019-09-08 - 1.1.9 - core
Core maintenance update.
- Fixed core issues.

## 2019-09-06 - 1.1.8 - core
Core maintenance update.
- Fixed core issues.

## 2019-09-06 - 1.1.7 - core
Core maintenance update.
- Fixed core issues.

## 2019-09-06 - 1.1.6 - core
Core maintenance update.
- Fixed core issues.

## 2019-04-17 - 1.1.5 - core
Core maintenance update.
- Fixed core issues.

## 2019-04-17 - 1.1.4 - core
Core maintenance update.
- Fixed core issues.

## 2019-04-17 - 1.1.3 - core
Core maintenance update.
- Fixed core issues.

## 2019-04-17 - 1.1.2 - core
Core maintenance update.
- Fixed core issues.

## 2019-04-16 - 1.1.1 - core
Core maintenance update.
- Fixed core issues.

## 2019-04-16 - 1.1.0 - core
Core maintenance update.
- Fixed core issues.

## 2018-07-17 - 1.0.2 - feature
New feature added.
- Added port checking functionality.

## 2017-12-12 - 1.0.1 - initial
Initial commit.
- Initial project setup.