import { tap, expect } from '@git.zone/tstest/tapbundle';

import * as smartnetwork from '../ts/index.js';

let testSmartnetwork: smartnetwork.SmartNetwork;

tap.test('should create a vlid instance of SmartNetwork', async () => {
  testSmartnetwork = new smartnetwork.SmartNetwork();
  expect(testSmartnetwork).toBeInstanceOf(smartnetwork.SmartNetwork);
});

tap.test('should send a ping to Google', async () => {
  const res = await testSmartnetwork.ping('google.com');
  console.log(res);
  // verify basic ping response properties
  expect(res.alive).toBeTrue();
  expect(res.time).toBeTypeofNumber();
  expect(res.output).toBeTypeofString();
  expect(res.output).toMatch(/PING google\.com/);
});

tap.test('should state when a ping is not alive ', async () => {
  await expect(testSmartnetwork.ping('notthere.lossless.com')).resolves.property('alive').toBeFalse();
});

tap.test('should send a ping to an IP', async () => {
  await expect(testSmartnetwork.ping('192.168.186.999')).resolves.property('alive').toBeFalse();
});

tap.start();
